> For the complete documentation index, see [llms.txt](https://docs.mapsindoors.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://docs.mapsindoors.com/help-center/the-map/how-do-i-remove-road-names.md).

# How do I remove road names?

Road names dynamically appear on the Mapbox base map depending on the "Transition Level", which controls at which zoom level some Mapbox elements are hidden from the map (e.g. 3D buildings and road names). Read more about "Transition Level" in this [Help Center](/help-center/the-map/why-are-there-trees-inside-my-building.md) article and in our [documentation](https://docs.mapsindoors.com/products/fast-track-maptemplate/configuration/query-parameters).&#x20;

If you want to completely remove road names from your MapsIndoors map when using Mapbox, follow the below instructions:&#x20;

**Wek SDK:**&#x20;

```javascript
// When initializing the MapboxV3View
const mapViewOptions = {
  accessToken: 'YOUR_MAPBOX_ACCESS_TOKEN',
  element: document.getElementById('map'),
  center: { lat: 38.8974905, lng: -77.0362723 },
  zoom: 17,
  maxZoom: 22,
  showRoadNames: false // Set this parameter to false
};

const mapViewInstance = new mapsindoors.mapView.MapboxV3View(mapViewOptions);
const mapsIndoorsInstance = new mapsindoors.MapsIndoors({mapView: mapViewInstance});
```

**Map Template:**&#x20;

You can also set this parameter via URL when using the Map Template: showRoadNames=false. Read more about URL parameters [here](https://docs.mapsindoors.com/products/fast-track-maptemplate/configuration).&#x20;

**Swift (iOS):**&#x20;

```javascript
let mapConfig = MPMapConfig(mapBoxView: mapView, accessToken: "mapBoxApiKey")
mapConfig.setShowRoadLabels(show: false)
let mapControl = MPMapsIndoors.createMapControl(mapConfig: mapConfig)
```

<br>


---

# Agent Instructions
This documentation is published with GitBook. GitBook is the documentation platform designed so that both humans and AI agents can read, navigate, and reason over technical content effectively. Learn more at gitbook.com.

## Querying This Documentation
If you need additional information that is not directly available in this page, you can query the documentation by asking a question.

Perform an HTTP GET request on the following URL with the `ask` and `goal` query parameters:

```
GET https://docs.mapsindoors.com/help-center/the-map/how-do-i-remove-road-names.md?ask=<question>&goal=<user_goal>
```

`ask` is the immediate question: it should be specific, self-contained, and written in natural language.
`goal` is what the user is ultimately trying to achieve, the reason they need the answer. Sharing it helps GitBook give you a better, more relevant answer. A goal is most helpful when it describes the outcome the user wants rather than restating the question. For example, with `ask=how do I create an API token`, a goal like `automate deployments from our CI pipeline` lets GitBook tailor the answer to that use case.

The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
